%global __brp_check_rpaths %{nil}
%global packname  jfa
%global packver   0.6.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.6.4
Release:          1%{?dist}%{?buildtag}
Summary:          Bayesian and Classical Audit Sampling

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-extraDistr 
BuildRequires:    R-graphics 
BuildRequires:    R-stats 
Requires:         R-CRAN-extraDistr 
Requires:         R-graphics 
Requires:         R-stats 

%description
Provides statistical audit sampling methods as implemented in JASP for
Audit (Derks et al., 2021 <doi:10.21105/joss.02733>). The package makes it
easy for an auditor to plan a statistical sample, select the sample from
the population, and evaluate the misstatement in the sample compliant with
the International Standards on Auditing. Next to classical audit sampling
methodology, the package implements Bayesian equivalents of these methods
whose statistical underpinnings are described in Derks et al. (2021)
<doi:10.1111/ijau.12240>, Derks et al. (2021) <doi:10.31234/osf.io/kzqp5>,
and Derks et al. (2022) <doi:10.31234/osf.io/8nf3e>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
